package control;

import entity.*;
public class UC2Controller implements Observer {
	
	private SUDTimer myTimer;
	
	public short numOfTrials;
	public UC2Controller(SUDTimer timer) {
		myTimer = timer;
		myTimer.registerObserver(this);
	}
	
	public void update() {
		startMarketEvaluator();
		startPortfolioRiskAnalysis();
	}
	public short getNumOfTrials() {
		return 1;
	}
	public void setNumOfTrials(short in) {
		
	}
	public void startMarketEvaluator() {
		
	}
	public void startPortfolioRiskAnalysis() {
		
	}
		
	
	/*
	 * (non-javadoc)
	 */
	private MarketEvaluator marketEvaluator;
	 
	/**
	 * Getter of the property <tt>marketEvaluator</tt>
	 *
	 * @return Returns the marketEvaluator.
	 * 
	 */
	public MarketEvaluator getMarketEvaluator()
	{
		return marketEvaluator;
	}
	
	/**
	 * Setter of the property <tt>marketEvaluator</tt>
	 *
	 * @param marketEvaluator The marketEvaluator to set.
	 *
	 */
	public void setMarketEvaluator(MarketEvaluator marketEvaluator ){
		this.marketEvaluator = marketEvaluator;
	}

		
	
	/*
	 * (non-javadoc)
	 */
	private InvestorController investorController;
	 
	/**
	 * Getter of the property <tt>investorController</tt>
	 *
	 * @return Returns the investorController.
	 * 
	 */
	public InvestorController getInvestorController()
	{
		return investorController;
	}
	
	/**
	 * Setter of the property <tt>investorController</tt>
	 *
	 * @param investorController The investorController to set.
	 *
	 */
	public void setInvestorController(InvestorController investorController ){
		this.investorController = investorController;
	}

}
